<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />




    <!-- Favicon ICO-->
    <link rel="icon" type="image/x-icon" href='http://localhost:8000/uploads/images/favicon.ico'>




    <!-- Stylesheet Imports -->

    <!-- Bootstrap CDN-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.0/css/bootstrap.min.css" crossorigin="anonymous">

    <link rel='stylesheet' href='/static/css/totop_button.css'>

    <!-- jQuery UI CDN -->
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="/resources/demos/style.css">



    <!-- Script Imports-->

    <!-- jQuery CDN -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <!-- Popper CDN -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

    <!-- Bootstrap CDN-->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!-- Axios CDN -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.25.0/axios.min.js'></script>

    <!-- jQuery UI CDN -->
    <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>

    <!-- 
        Global Variables
        Inclues frontEndUrl, backEndUrl, user images, and product images
    -->
    <script src='/static/js/globalVariables.js'></script>

    <!-- <script src='/static/js/productsGetAll.js'></script> -->

    <title>SPIT</title>
</head>


<body class="bg-light" onload="axiosGetAllProducts();axiosGetCategoriesCheckboxes();axiosGetHighest();">

    <!--back to top button-->
    <button class='bg-dark text-white' onclick="topFunction()" id="myBtn" title="Go to top">Top</button>


    <header>
        <nav class="navbar navbar-expand-md navbar-light bg-light">
            <a class="navbar-brand" href="/">SPIT!</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mr-auto" id='menu'>
                    <li class="nav-item">
                        <a class="nav-link" href="/category">Categories</a>
                    </li>
                </ul>
                <ul class="navbar-nav" id='LoginOrProfile'></ul>
            </div>
        </nav>
    </header>
    <script src='/static/js/menu.js'></script>











    <div class='form-control ' style='height:fit-content;width:fit-content'>
        <div id='categories'></div>
        <div id="interestCategories"></div>
        <script>
            if (token) {
                $("#interestCategories").html(`<button class='btn btn-sm btn-info' onclick="getInterestCategories()">Select only those interested</button>`)
            }

            function getInterestCategories() {
                const checkboxes = document.querySelectorAll('input[name="categories"]');
                checkboxes.forEach((checkbox) => {
                    checkbox.checked = false;
                });
                axios.get(`${backEndUrl}/profile/defaultnumber/interest`)
                    .then((res) => {
                        categoryInterestDetails = res.data
                        console.log(`here you go the details`)
                        console.log(categoryInterestDetails)
                        categoryInterestArray = [];
                        for (var categoryInterestIndex = 0; categoryInterestIndex < categoryInterestDetails.length; categoryInterestIndex++) {
                            categoryInterestArray.push(categoryInterestDetails[categoryInterestIndex].category_id)
                        }

                        console.log(`this is the array ${categoryInterestArray}`)
                        console.log(categoryInterestArray)

                        const checkboxes = document.querySelectorAll('input[name="categories"]');
                        console.log(`chekcbox`)
                        console.log(checkboxes)
                        checkboxes.forEach((checkbox) => {
                            if (categoryInterestArray.includes(parseInt(checkbox.id))) checkbox.checked = true;

                        });
                    })
            }
        </script>
        <label class="ml-3 mt-3" for='searchbar'>Searchbar: </label>
        <input type="text" name="searchbar" id='name'>


        <div>
            <label class="ml-3 mt-3" for="amount">Price range:</label>
            <input class='mx-1' type="text" id="amount" readonly style="border:0;  font-weight:bold;">
            <div id="slider-range" class='col-12'></div>
            </label>
        </div>

        <button class="btn btn-primary my-3" onclick="searchProduct()">SEARCH</button>
    </div>


    <div id="errorField"></div>
    <div class='row' id='products'></div>

    <script src='/static/js/product/axiosFunctions.js'></script>
    <script src='/static/js/product/functions.js'></script>
    <script src='/static/js/totop_button.js'></script>
    <script src='/static/js/error/errorHandling.js'></script>
</body>

</html>